karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jamie goodyear (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-3514) RuntimeException when setting system.properties --> karaf.lock.level to a value greater 4 and starting Karaf
Date Sun, 12 Apr 2015 15:26:12 GMT

    [ https://issues.apache.org/jira/browse/KARAF-3514?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14491523#comment-14491523
] 

Jamie goodyear commented on KARAF-3514:
---------------------------------------

The NPE will only occur if lock.level >4, while using updated framework feature template.

If you reboot karaf instance, then it will work as expected. Some occurs during first boot,
that is corrected for subsequent boots.

Given that on 'blessed' instances the lock.level appears to work, then our attention should
focus upon the initial first boot. 


> RuntimeException when setting system.properties -->  karaf.lock.level to a value greater
4 and starting Karaf
> -------------------------------------------------------------------------------------------------------------
>
>                 Key: KARAF-3514
>                 URL: https://issues.apache.org/jira/browse/KARAF-3514
>             Project: Karaf
>          Issue Type: Bug
>    Affects Versions: 3.0.0, 3.0.1, 3.0.2, 3.0.3
>         Environment: - Windows 7 64 bit
> - Java  1.7.0_67 
>            Reporter: Johannes
>            Assignee: Jamie goodyear
>             Fix For: 3.0.4
>
>
> download the Karaf 3.0.3 distribution:
> http://karaf.apache.org/index/community/download.html#Karaf3.0.3
> and add the following property+value:
> karaf.lock.level=50 to the system.properties
> starting Karaf results in the following error:
> org.apache.karaf.main.Main launch
> Installing and starting initial bundles
> org.apache.karaf.main.Main main
> Could not launch framework
> java.lang.RuntimeException: Error installing bundle listed in startup.properties with
url: mvn:org.ops4j.pax.url/pax-url-aether/2.3.0 and startlevel: 5
>         at org.apache.karaf.main.Main.installAndStartBundles(Main.java:392)
>         at org.apache.karaf.main.Main.launch(Main.java:245)
>         at org.apache.karaf.main.Main.main(Main.java:167)
> Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle org.ops4j.pax.url.mvn
[1]: Unable to resolve 1.0: missing requirement [1.0] osgi.wiring.package; (&(osgi.wiring.package=org.slf4j)(version>=1.6.0)(!(version>=2.0.0)))
>         at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974)
>         at org.apache.felix.framework.Felix.startBundle(Felix.java:2037)
>         at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:955)
>         at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:942)
>         at org.apache.karaf.main.Main.installAndStartBundles(Main.java:389)
>         ... 2 more 
> - Works with Karaf 2.3.3.
> The same happens when configuring any Failover-Mechanism and adding karaf.lock.level=50
described here:
> http://karaf.apache.org/manual/latest/users-guide/failover.html  



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message